Skip to main content
POST
/
v1
/
table
/
{id}
/
alter_columns
Modify existing columns
curl --request POST \
  --url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/alter_columns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "alterations": [
    {
      "path": "<string>",
      "data_type": {},
      "rename": "<string>",
      "nullable": true,
      "virtual_column": {
        "input_columns": [
          "<string>"
        ],
        "image": "<string>",
        "udf": "<string>",
        "udf_name": "<string>",
        "udf_version": "<string>",
        "udf_backend": "<string>",
        "auto_backfill": true,
        "manifest": "<string>",
        "manifest_checksum": "<string>",
        "field_metadata": {}
      }
    }
  ],
  "identity": {
    "api_key": "<string>",
    "auth_token": "<string>"
  },
  "id": [
    "<string>"
  ]
}
'
{
  "version": 1
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json
alterations
object[]
required

List of column alterations to apply to the table

identity
object

Identity information of a request.

id
string[]

Table identifier path (namespace + table name)

Response

Alter columns operation result

version
integer<int64>
required

The commit version associated with the operation

Required range: x >= 0